<template>
  <div class="container mt-5">
    <h3 class="alert alert-danger">
      Demo form
    </h3>
    <p>
      <a
        href="https://getbootstrap.com/docs/5.0/forms/overview/"
        target="_blank"
      >Bootstrap 5 Forms</a>
    </p>
    <form>
      <div class="mb-3">
        <label
          for="exampleInputEmail1"
          class="form-label"
        >Email address</label>
        <input
          id="exampleInputEmail"
          type="email"
          class="form-control"
          aria-describedby="emailHelp"
        >
        <div
          id="emailHelp"
          class="form-text"
        >
          We'll never share your email with anyone else.
        </div>
      </div>
      <div class="mb-3">
        <label
          for="exampleInputPassword1"
          class="form-label"
        >Password</label>
        <input
          id="exampleInputPassword1"
          type="password"
          class="form-control"
        >
      </div>
      <div class="mb-3">
        <label
          for="exampleFormControlTextarea1"
          class="form-label"
        >Example textarea</label>
        <textarea
          id="exampleFormControlTextarea1"
          class="form-control"
          rows="3"
        />
      </div>
      <div class="mb-3">
        <label
          for="formFile"
          class="form-label"
        >Default file input example</label>
        <input
          id="formFile"
          class="form-control"
          type="file"
        >
      </div>
      <div class="mb-3">
        <label
          for="exampleColorInput"
          class="form-label"
        >Color picker</label>
        <input
          id="exampleColorInput"
          type="color"
          class="form-control form-control-color"
          value="#563d7c"
          title="Choose your color"
        >
      </div>
      <select
        class="form-select mb-3"
        aria-label="Default select example"
      >
        <option selected>
          Open this select menu
        </option>
        <option value="1">
          One
        </option>
        <option value="2">
          Two
        </option>
        <option value="3">
          Three
        </option>
      </select>
      <div class="mb-3 border p-3">
        <div class="form-check">
          <input
            id="flexCheckDefault"
            class="form-check-input"
            type="checkbox"
            value=""
          >
          <label
            class="form-check-label"
            for="flexCheckDefault"
          >
            Default checkbox
          </label>
        </div>
        <div class="form-check">
          <input
            id="flexCheckDefault"
            class="form-check-input"
            type="checkbox"
            value=""
          >
          <label
            class="form-check-label"
            for="flexCheckDefault"
          >
            Another default checkbox
          </label>
        </div>
        <div class="form-check">
          <input
            id="flexCheckChecked"
            class="form-check-input"
            type="checkbox"
            value=""
            checked
          >
          <label
            class="form-check-label"
            for="flexCheckChecked"
          >
            Checked checkbox
          </label>
        </div>
      </div>
      <div class="mb-3">
        <label
          for="customRange1"
          class="form-label"
        >Example range</label>
        <input
          id="customRange1"
          type="range"
          class="form-range"
        >
      </div>
      <button
        type="submit"
        class="btn btn-primary mb-5"
      >
        Submit
      </button>
    </form>
  </div>
</template>
